General add-ons

 
 
Picture of Sheraz Upal
ELIS Report Module
 

I installed ELIS on my moodle, but can not see the "Report" module on it. In demos it is shown in "Programm Management" block just under "Learning Plan". But i can not see this module. Please help!!! i have already wasted two weeks. I am attaching my moodle(upgraded to ELIS) home page.


 
Average of ratings: -
Picture of Sheraz Upal
Re: ELIS Report Module
 

Is community version of ELIS contains "Reporting" module, if yes than how can i see this on my home page?? Pl help

 
Average of ratings: -
Picture of Sheraz Upal
Re: ELIS Report Module
 

still helpless

actually i installed ELIS on top of moodle and it should contain the reporting module ( as they have described in the demo) but it was not there. than i searched for "Reports" addon and i found at github 

https://github.com/remotelearner/elis.reporting

but this addon didnot work for me. Please help anybody

 
Average of ratings: -
Picture of Justin Filip
Re: ELIS Report Module
Group DevelopersGroup Particularly helpful MoodlersGroup Testers

Hi Sheraz,

A while back (around eight months at this time) we actually pulled that out to make it its own block, rather than part of a larger set of modifications over top of Moodle. You will need to install the appropriate branch from this repository on Github -- https://github.com/remotelearner/moodle-block_php_report/branches

 
Average of ratings: -
Picture of Sheraz Upal
Re: ELIS Report Module
 

Hi Filip,

Thanks for your reply, Please guide me how to install this on my moodle.

I am using Windows 7, with XAMPP Server. I put this code in "Blocks" folder and ran the moodle, go in the notification area and upgrade the updates. It shows "Invalid Plugin directory" 

Than i put it in "Mod" folder and than again updates the upgrades, it still gives the same error message.

 
Average of ratings: -
Picture of Sheraz Upal
Re: ELIS Report Module
 

Now i installed it in ELIS->Program->plugins

but it gives error "Cannot downgrade elis_program from 2013082101 to 2011121501."

same error appears if i install at ELIS->Core->plugins

i am stuck in this problem for more than 3 weeks, please help !!!

PS: I have installed Moodle 2.1.5 and ELIS 2 from 

http://moodleelis.wordpress.com/2012/04/05/installing-moodle-2-1-5-elis-2/

 
Average of ratings: -
Picture of Emma Richardson
Re: ELIS Report Module
Group Particularly helpful Moodlers

So it sounds like you already have the report module in your installation - I suggest going through and removing the report plugin folder that you downloaded from wherever you have tried to install it.  

 
Average of ratings: -
Picture of Sheraz Upal
Re: ELIS Report Module
 

Emma, if it is already installed than why can not i see reports (as i showed snapshot in my first post).  Please guide me where can i find these reports if they are already installed. Actually ELIS documentation shows "Reports" in Program Management block but in my moodle (as in snapshot) i can not see reports. Thanks in advance for your help.

 
Average of ratings: -
Picture of Emma Richardson
Re: ELIS Report Module
Group Particularly helpful Moodlers

What version of Moodle?  Are there maybe some admin settings that enable the reports?

 
Average of ratings: -
Picture of Justin Filip
Re: ELIS Report Module
Group DevelopersGroup Particularly helpful MoodlersGroup Testers

Hi Sheraz,

I'm not sure who runs that blog so I can't speak for what they have done or their instructions but you're trying to setup an outdated and unsupported version of ELIS on an unsupported version of Moodle.

Considering that you are using Moodle 2.1, then you will need the report code from this specific commit -- https://github.com/remotelearner/elis.reporting/tree/3ec8980932d0801e6e936e3f59cac815451d9a4e

And the instructions for what contents of the directories in that repository are in this README file -- https://github.com/remotelearner/elis.reporting/blob/elis2/README.mkd

 
Average of ratings: -